Package org.eclipse.m2m.atl.engine.asm

## Class ASMWriter

- java.lang.Object
- - org.eclipse.m2m.atl.engine.asm.ASMWriter

Direct Known Subclasses:
  `ASMTextualWriter`, `ASMXMLWriter`

    public abstract class ASMWriter
    extends java.lang.Object

An abstract `ASM` writer.

### Constructor Summary

Constructors
`ASMWriter()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected java.util.List` `getConstantPool()`
`protected int` `getCPIndex​(java.lang.String s)`
`abstract void` `print​(ASM asm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASMWriter

    public ASMWriter()

### Method Detail

#### print

    public abstract void print​(ASM asm)

#### getCPIndex

    protected int getCPIndex​(java.lang.String s)

#### getConstantPool

    protected java.util.List getConstantPool()